cURL
curl --request POST \
--url https://api.mudstack.com/workspaces/assets/{asset_id}/versions/{version_id}/thumbnail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--form file='@example-file'import requests
url = "https://api.mudstack.com/workspaces/assets/{asset_id}/versions/{version_id}/thumbnail"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
options.body = form;
fetch('https://api.mudstack.com/workspaces/assets/{asset_id}/versions/{version_id}/thumbnail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"thumbnail_file_id": "<string>",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"size": 123,
"version_number": 123,
"sequence": 123,
"checksum": "<string>",
"commit_parent_id": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
}Versions
Update thumbnail
Upload a thumbnail for a specific version of an asset.
POST
/
workspaces
/
assets
/
{asset_id}
/
versions
/
{version_id}
/
thumbnail
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Response
200 - application/json
The updated asset version with the new thumbnail
Unique identifier for the asset version
Identifier of the associated asset
Identifier of the user who created the asset version
Identifier of the thumbnail file
Name of the asset version
Description of the asset version
Key associated with the asset version
Size of the asset version
Version number of the asset
Sequence number of the asset version
Checksum of the asset version
Identifier of the parent commit, if any
User who created the asset version
Show child attributes
Show child attributes
Was this page helpful?
⌘I